%define major       0
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:           synfig
Version:        1.2.0
Release:        %mkrel 3
Summary:        Vector-based 2D animation renderer
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://www.synfig.org
Source0:        http://downloads.sf.net/synfig/%{name}-%{version}.tar.gz
Patch0:         synfig-1.0.1-buildfix.patch

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ETL) >= 0.04.21
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(mlt++)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  libltdl-devel
BuildRequires:  gettext-devel
BuildRequires:  cvs
BuildRequires:  png-devel
BuildRequires:  mng-devel
BuildRequires:  jpeg-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  imagemagick-devel
BuildRequires:  boost-devel
Requires:       libdv-apps
Requires:       imagemagick
Requires:       ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=c++11"

%configure2_5x \
    --disable-static \
    --with-imagemagick
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat May 27 2017 shlomif <shlomif> 1.2.0-3.mga6
+ Revision: 1105202
- rebuild for new imagemagick

* Tue May 02 2017 akien <akien> 1.2.0-2.mga6
+ Revision: 1098323
- Rebuild for ffmpeg 3.3

* Wed Jan 11 2017 akien <akien> 1.2.0-1.mga6
+ Revision: 1081105
- Version 1.2.0

* Tue Jan 12 2016 akien <akien> 1.0.2-1.mga6
+ Revision: 922221
- Version 1.0.2

* Sun Dec 27 2015 daviddavid <daviddavid> 1.0.1-4.mga6
+ Revision: 916131
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 fwang <fwang> 1.0.1-3.mga6
+ Revision: 883758
- rebuild for new boost

* Tue Aug 25 2015 cjw <cjw> 1.0.1-2.mga6
+ Revision: 869373
- rebuild with gcc 5

* Fri Jul 31 2015 wally <wally> 1.0.1-1.mga6
+ Revision: 860024
- new version 1.0.1
- drop unneeded patches and build fixes from .spec
- add a patch to fix build
- update buildrequires

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Wed Jun 24 2015 daviddavid <daviddavid> 0.64.1-7.mga6
+ Revision: 842334
- rebuild for new ImageMagick

* Wed Oct 15 2014 umeabot <umeabot> 0.64.1-6.mga5
+ Revision: 746891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.64.1-5.mga5
+ Revision: 689656
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 0.64.1-4.mga5
+ Revision: 667001
- rebuild for ilmbase and OpenEXR

* Sat Aug 23 2014 fwang <fwang> 0.64.1-3.mga5
+ Revision: 666787
- rebuild for imagemagick

* Thu May 01 2014 luigiwalser <luigiwalser> 0.64.1-2.mga5
+ Revision: 619156
- rebuild for ilmbase

* Sun Feb 16 2014 dams <dams> 0.64.1-1.mga5
+ Revision: 592487
- new version 0.64.1

* Sat Feb 08 2014 barjac <barjac> 0.64.0-9.mga5
+ Revision: 586785
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.64.0-8.mga4
+ Revision: 535200
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.64.0-7.mga4
+ Revision: 481494
- rebuild for new imagemagick

* Thu Sep 12 2013 fwang <fwang> 0.64.0-6.mga4
+ Revision: 477860
- rebuild for new openexr

* Tue Aug 27 2013 tv <tv> 0.64.0-5.mga4
+ Revision: 472375
- rebuild for new libmng

* Wed Aug 07 2013 fwang <fwang> 0.64.0-4.mga4
+ Revision: 464412
- rebuild for new imagemagick

* Tue Jul 09 2013 fwang <fwang> 0.64.0-3.mga4
+ Revision: 451656
- rebuild for new boost

* Tue Jun 04 2013 fwang <fwang> 0.64.0-2.mga4
+ Revision: 437023
- fix build with libpng 1.6
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.64.0-1.mga4
+ Revision: 429254
- br boost
- update br
- bump req
- new version 0.64.0

* Tue May 28 2013 fwang <fwang> 0.63.05-8.mga4
+ Revision: 429192
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-7.mga3
+ Revision: 383912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 14 2012 fwang <fwang> 0.63.05-6.mga3
+ Revision: 330783
- rebuild for new imagemagick

* Sun Dec 02 2012 fwang <fwang> 0.63.05-3.mga3
+ Revision: 325023
- rebuild for new openexr

* Fri Oct 12 2012 fwang <fwang> 0.63.05-2.mga3
+ Revision: 305138
- rebuild for new imagemagick

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257353
- bump req on etl
- new version 0.63.05

* Tue Feb 14 2012 wally <wally> 0.63.04-1.mga2
+ Revision: 208923
- new version 0.63.04

* Mon Dec 12 2011 fwang <fwang> 0.63.03-1.mga2
+ Revision: 181030
- new version 0.63.03

* Fri Sep 30 2011 fwang <fwang> 0.63.02-1.mga2
+ Revision: 150547
- new version 0.63.02

* Sun Sep 25 2011 fwang <fwang> 0.63.01-1.mga2
+ Revision: 147666
- new version 0.63.01

* Sat Sep 17 2011 fwang <fwang> 0.63.00-3.mga2
+ Revision: 144477
- fix patch
- mre patch for libpng 1.5
- fix build with libpng1.5
- rebuild for new imagemagick

  + wally <wally>
    - really disable static build
    - enable support for ImageMagick
    - disable static build
    - new version 0.63.00
    - imported package synfig

